For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/webhook-logs/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/webhook-logs/llms-full.txt.

# List Webhook Logs

GET https://api.synthflow.ai/v2/logs

Retrieve a paginated list of webhook logs with filtering and search capability

Reference: https://docs.synthflow.ai/api-reference/platform-api/webhook-logs/list-webhook-logs

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /logs:
    get:
      operationId: list-webhook-logs
      summary: List Webhook Logs
      description: >-
        Retrieve a paginated list of webhook logs with filtering and search
        capability
      tags:
        - subpackage_webhookLogs
      parameters:
        - name: workspace_id
          in: query
          required: true
          schema:
            type: string
        - name: page_number
          in: query
          required: false
          schema:
            type: integer
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: webhook_type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/LogsGetParametersWebhookType'
        - name: status
          in: query
          description: Filter webhook logs by status
          required: false
          schema:
            $ref: '#/components/schemas/LogsGetParametersStatus'
        - name: http_method
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/LogsGetParametersHttpMethod'
        - name: from_date
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: to_date
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: assistant_id
          in: query
          required: false
          schema:
            type: string
        - name: call_id
          in: query
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Paginated list of webhook logs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookAssistantPaginatedList'
        '403':
          description: Access denied to workspace
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    LogsGetParametersWebhookType:
      type: string
      enum:
        - external_webhook
        - inbound_webhook
        - custom_action
      title: LogsGetParametersWebhookType
    LogsGetParametersStatus:
      type: string
      enum:
        - pending
        - success
        - failed
      title: LogsGetParametersStatus
    LogsGetParametersHttpMethod:
      type: string
      enum:
        - get
        - post
        - put
        - patch
        - delete
      title: LogsGetParametersHttpMethod
    WebhookLogListItem:
      type: object
      properties:
        request_timestamp:
          type: string
          format: date-time
          description: ISO 8601 timestamp of when the request was made
        webhook_log_id:
          type: string
          description: Unique ID of the webhook log entry
        model_id:
          type: string
          description: Associated model ID
        status:
          type: string
          description: Webhook processing status
        webhook_url:
          type: string
          format: uri
          description: Destination URL for the webhook
        response_status_code:
          type: integer
          description: HTTP status code returned by the target
        http_method:
          type: string
          description: HTTP method used for the request
      required:
        - request_timestamp
        - webhook_log_id
        - model_id
        - status
      description: Schema for webhook log list items
      title: WebhookLogListItem
    WebhookAssistantPaginatedListResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/WebhookLogListItem'
        total:
          type: integer
          description: Total number of webhook logs
        page_size:
          type: integer
          description: Number of items per page
        page_number:
          type: integer
          description: Current page number
      required:
        - items
        - total
        - page_size
        - page_number
      title: WebhookAssistantPaginatedListResponse
    WebhookAssistantPaginatedList:
      type: object
      properties:
        status:
          type: string
        response:
          $ref: '#/components/schemas/WebhookAssistantPaginatedListResponse'
      required:
        - status
        - response
      title: WebhookAssistantPaginatedList
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error type or classification
        message:
          type: string
          description: Detailed error message
      title: ErrorResponse
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/logs"

querystring = {"workspace_id":"1727192238961x413997613917405200","status":"success","assistant_id":"37dd5a94-4fc8-4989-a2c1-ca761d182ffa"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/logs?workspace_id=1727192238961x413997613917405200&status=success&assistant_id=37dd5a94-4fc8-4989-a2c1-ca761d182ffa"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/logs?workspace_id=1727192238961x413997613917405200&status=success&assistant_id=37dd5a94-4fc8-4989-a2c1-ca761d182ffa")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/logs?workspace_id=1727192238961x413997613917405200&status=success&assistant_id=37dd5a94-4fc8-4989-a2c1-ca761d182ffa")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/logs?workspace_id=1727192238961x413997613917405200&status=success&assistant_id=37dd5a94-4fc8-4989-a2c1-ca761d182ffa");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/logs?workspace_id=1727192238961x413997613917405200&status=success&assistant_id=37dd5a94-4fc8-4989-a2c1-ca761d182ffa")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```